# HP MoR split

[Harry Potter and the Methods of Rationality](https://www.hpmor.com/)

Goal is to split large files into smaler ones, so one can easier check where one stands.
I do not share the originalfiles, but one can get them freely from the original website.

`wget https://hpmorpodcast.com/wp-content/uploads/episodes/HPMoR_Part_{1..6}.mp3`

```
$ sha256sum HPMoR_Part_?.mp3
128546d71d714271bd088e07f298bf96cb7602dbb8847fdd3a4c77157e062a79  HPMoR_Part_1.mp3
59620d8c4d7ea24c863ee46cab1461367cb994f65d2ae469cdf865f74d02e816  HPMoR_Part_2.mp3
9a064888e7df3d4002156f972ed8ae674f995f781e46ed8d058865eefe700ed7  HPMoR_Part_3.mp3
4146f76642a0a8d29b9a51261ccdb9b4ef03ac4b5704986934b02261ec4863df  HPMoR_Part_4.mp3
e04c71e16fc6ab1a72872efe33776b1fc892082dc59fdb452714d59bce792337  HPMoR_Part_5.mp3
1a7ebce777becb6a0c0e8efec1155f8dbf0d179224db71ca78e3d8122a804422  HPMoR_Part_6.mp3
```

## Installation

Place the root direcotry of this Git Repository next to the `HPMoR_Part_?.mp3` files.

Install the requirements with pip inside the `hpmor_split` directory with
`pip install -r requirements.txt`

You'll need to install ffmpeg.

### Windows

I'd recommend using [chocolatey](https://chocolatey.org/install), there you can easy install [ffmpeg](https://community.chocolatey.org/packages/ffmpeg).

## Run

Then you can run the split.py inside the `hpmor_split` direcorty.

## Download, install and run commands:

```bash
wget https://hpmorpodcast.com/wp-content/uploads/episodes/HPMoR_Part_{1..6}.mp3
git clone https://git.jdmweb2.ch/beat/hpmor_split.git
cd hpmor_split
pip install -r requirements.txt
./split.py
```

## Make Hour long files

Use hmake.sh

## Chapiel files

Please commit to charpters.csv to collect the necessary data.
